%global gemname polyglot

%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}
%global rubyabi 1.8

Summary:        Allow hooking of language loaders for specified extensions into require
Name:           rubygem-%{gemname}
Version:        0.3.1
Release:        2%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://polyglot.rubyforge.org
Source0:        http://rubygems.org/gems/%{gemname}-%{version}.gem
%if 0%{?rhel} <= 5
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%endif
Requires:       ruby(abi) = %{rubyabi}
Requires:       ruby(rubygems)
Requires:       ruby
BuildRequires:  ruby(abi) = %{rubyabi}
BuildRequires:  ruby(rubygems)
BuildRequires:  ruby
BuildArch:      noarch
Provides:       rubygem(%{gemname}) = %{version}

%description
This Ruby GEM allows custom language loaders for specified file extensions
to be hooked into require.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gemdir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gemdir} \
        --force --rdoc %{SOURCE0}

%check
pushd %{buildroot}%{geminstdir}
testrb test
popd

%files
%dir %{geminstdir}
%{geminstdir}/lib
%doc %{geminstdir}/License.txt
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%doc %{gemdir}/doc/%{gemname}-%{version}
%doc %{geminstdir}/History.txt
%doc %{geminstdir}/Manifest.txt
%doc %{geminstdir}/README.txt
%{geminstdir}/Rakefile
%{geminstdir}/test


%changelog
* Fri Jul 01 2011 Vít Ondruch <vondruch@redhat.com> - 0.3.1-1
- Updated to the latest upstream version.
- Tests enabled.
- Documentation moved into separate package.
- Remove unnecessary Hoe runtime dependency.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.2.5-3
- Get rid of duplicate files

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.2.5-2
- Bring tests back
- Depend on ruby(abi)
- Replace defines with globals
- Don't delete the world-writable file, fix permissions instead

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.2.5-1
- Package generated by gem2rpm
- Remove log directory
- Don't ship tests
- Fix up License
